org.eclipse.ease.lang.unittest.runtime.impl

## Class TestClass

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.ease.lang.unittest.runtime.impl.TestEntity
          - - org.eclipse.ease.lang.unittest.runtime.impl.TestContainer
            - - org.eclipse.ease.lang.unittest.runtime.impl.TestClass

All Implemented Interfaces:
  IStackTraceContainer, ITestClass, ITestContainer, ITestEntity, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class TestClass
    extends TestContainer
    implements ITestClass

An implementation of the model object 'Test Class'.

The following features are implemented:

- `Stack Trace`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestEntity

`CUSTOM_CODE, GLOBAL_SCOPE_TEST`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class<?> baseClass)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class<?> baseClass)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`ScriptStackTrace` `getStackTrace()`
`void` `setStackTrace(ScriptStackTrace newStackTrace)`
`void` `setStackTraceGen(ScriptStackTrace newStackTrace)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.ease.lang.unittest.runtime.impl.TestContainer

`eInverseAdd, eInverseRemove, eInvoke, getChildContainers, getChildren, getChildrenGen, getCopyOfChildren, getEstimatedDuration, getResource, getStatus, getTest, hasError, reset, run, setResource, setTerminated`

### Methods inherited from class org.eclipse.ease.lang.unittest.runtime.impl.TestEntity

`addError, basicSetParent, eBasicRemoveFromContainerFeature, getDescription, getDuration, getEndTimestamp, getEntityStatus, getFullPath, getMetadata, getName, getParent, getResults, getResults, getRoot, getStartTimestamp, getTestSuite, getWorstResult, isDisabled, isTerminated, setDescription, setDisabled, setEndTimestamp, setEntityStatus, setEntityStatusGen, setEstimatedDuration, setName, setParent, setStartTimestamp`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestContainer

`getChildContainers, getChildren, getCopyOfChildren, getResource, getTest, setResource`

### Methods inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestEntity

`addError, getDescription, getDuration, getEndTimestamp, getEntityStatus, getEstimatedDuration, getFullPath, getMetadata, getName, getParent, getResults, getResults, getRoot, getStartTimestamp, getStatus, getTestSuite, getWorstResult, hasError, isDisabled, isTerminated, reset, run, setDescription, setDisabled, setEndTimestamp, setEntityStatus, setEstimatedDuration, setName, setParent, setStartTimestamp, setTerminated`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Method Detail

#### getStackTrace

    public ScriptStackTrace getStackTrace()

Specified by:
  `getStackTrace` in interface `IStackTraceContainer`
Returns:
  the value of the 'Stack Trace' attribute.
See Also:
  `IStackTraceContainer.setStackTrace(ScriptStackTrace)`, `IRuntimePackage.getStackTraceContainer_StackTrace()`

#### setStackTraceGen

    public void setStackTraceGen(ScriptStackTrace newStackTrace)

#### setStackTrace

    public void setStackTrace(ScriptStackTrace newStackTrace)

Specified by:
  `setStackTrace` in interface `IStackTraceContainer`
Parameters:
  `newStackTrace` - the new value of the 'Stack Trace' attribute.
See Also:
  `IStackTraceContainer.getStackTrace()`

#### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `TestContainer`

#### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `TestContainer`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `TestContainer`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `TestContainer`

#### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class<?> baseClass)

Specified by:
  `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class<?> baseClass)

Specified by:
  `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `TestContainer`